Package Details: linux-lts54 5.4.195-1

Git Clone URL: https://aur.archlinux.org/linux-lts54.git (read-only, click to copy)
Package Base: linux-lts54
Description: The LTS 5.4 Linux kernel and modules
Upstream URL: https://www.kernel.org/
Keywords: kernel linux
Licenses: GPL2
Provides: VIRTUALBOX-GUEST-MODULES
Submitter: jonathon
Maintainer: jonathon
Last Packager: jonathon
Votes: 8
Popularity: 0.122047
First Submitted: 2021-02-17 14:58 (UTC)
Last Updated: 2022-05-18 10:07 (UTC)

Pinned Comments

jonathon commented on 2021-02-17 15:28 (UTC) (edited on 2021-02-24 20:40 (UTC) by jonathon)

Please make sure you read the "How to use the AUR" wiki page before reporting issues: https://wiki.archlinux.org/index.php/Arch_User_Repository#Installing_and_upgrading_packages

This kernel has backported support for zstd initramfs compression and so the mkinitcpio=30 compression defaults will work without change.

A binary package is also available in my kernel-lts unofficial user repository.

Latest Comments

jonathon commented on 2021-12-20 11:21 (UTC)

bison is in base-devel so the assumption is that you'll already have it installed: https://wiki.archlinux.org/title/Arch_User_Repository#Getting_started

peter.babic commented on 2021-12-20 11:04 (UTC)

Thank you for the great work! Please consider adding bison into dependencies.

patching file Documentation/conf.py
Setting config...
  HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/kconfig/conf.o
  HOSTCC  scripts/kconfig/confdata.o
  HOSTCC  scripts/kconfig/expr.o
  LEX     scripts/kconfig/lexer.lex.c
  YACC    scripts/kconfig/parser.tab.[ch]
/bin/sh: line 1: bison: command not found
make[1]: *** [scripts/Makefile.host:17: scripts/kconfig/parser.tab.h] Error 127
make: *** [Makefile:590: olddefconfig] Error 2
==> ERROR: A failure occurred in prepare().
    Aborting...
 -> error making: linux-lts54

jonathon commented on 2021-09-13 10:09 (UTC)

Gah. Updated.

lorien commented on 2021-09-12 22:51 (UTC)

Hi jonathon, config is failing the validity check. Thanks for maintaining this.

Bipod commented on 2021-08-17 17:39 (UTC)

To verify the file signatures, do: gpg2 --locate-keys gregkh@kernel.org

nikost74 commented on 2021-04-27 14:51 (UTC) (edited on 2021-04-28 01:26 (UTC) by nikost74)

I don't seem to be able to get the gdm login screen when booting with this kernel. Any hints on what I can do? Nevermind I didn't have nvidia-lts installed.

maderios commented on 2021-02-20 10:09 (UTC)

gpg keys import needed: gpg --search-keys 'key numbers'

maderios commented on 2021-02-18 12:04 (UTC)

New error:

Verifying source file signatures with gpg... linux-5.4.99.tar ... FAILED (unknown public key 38DBBDC86092693E)

maderios commented on 2021-02-18 10:04 (UTC)

Same error for me

sirocco commented on 2021-02-18 08:13 (UTC)

==> Validating source files with sha256sums...
    linux-5.4.99.tar.xz ... Passed
    linux-5.4.99.tar.sign ... Skipped
    config ... FAILED
    0001-ZEN-Add-sysctl-and-CONFIG-to-disallow-unprivileged-C.patch ... Passed
    0002-virt-vbox-Add-support-for-the-new-VBG_IOCTL_ACQUIRE_.patch ... Passed
    sphinx-workaround.patch ... Passed
==> ERROR: One or more files did not pass the validity check!

jonathon commented on 2021-02-17 15:28 (UTC) (edited on 2021-02-24 20:40 (UTC) by jonathon)

Please make sure you read the "How to use the AUR" wiki page before reporting issues: https://wiki.archlinux.org/index.php/Arch_User_Repository#Installing_and_upgrading_packages

This kernel has backported support for zstd initramfs compression and so the mkinitcpio=30 compression defaults will work without change.

A binary package is also available in my kernel-lts unofficial user repository.